:root {
  --background: #FAF7F9;
  --text: #0F0D1A;
  --accent: #6549F2;
  --secondary: #858391;
  --element: #39364D3A;
  --border: #39364D14;
}

#loader {
  width: 100%;
  height: 100%;
  position: fixed;
  display: flex;
}

@media only screen and (min-width: 620px) {
  #loader svg {
    width: 192px;
    height: 192px;
  }
}

@media only screen and (max-width: 620px) {
  #loader svg {
    width: 96px;
    height: 96px;
  }
}

#loader svg {
  margin: auto;
}

#loader #spinner {
  box-sizing: border-box;
  stroke: var(--element);
  stroke-width: 2px;
  stroke-linecap: round;
  transform-origin: 50%;
  animation: line 1.6s cubic-bezier(0.4, 0, 0.2, 1) infinite, rotate 1.6s linear infinite;
}

@keyframes rotate {
  from {
    transform: rotate(0);
  }

  to {
    transform: rotate(450deg);
  }
}

@keyframes line {
  0% {
    stroke-dasharray: 2, 92.2;
    transform: rotate(0);
  }

  50% {
    stroke-dasharray: 70.65, 23.25;
    stroke-dashoffset: 0;
  }

  100% {
    stroke-dasharray: 2, 92.2;
    stroke-dashoffset: -70.65;
    transform: rotate(90deg);
  }
}